﻿
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Clubs
            </h1>
        </div>
        <div class="actions">
            <a ui-sref='SystemClubManage({clubId:0})' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add New Member">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <form novalidate="" ng-submit="search()">
        <label for="searchDiscountName">Search by member name</label>
        <div class="input-control text" data-role="input-control">
            <input ng-model="searchTerm" id="searchClubName" type="text" placeholder="Enter club name here">

        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Organization type</label>
            <div class="input-control select" data-role="input-control">
                <select id="filter.typeId" ng-model="filter.typeId" ng-init="filter.typeId = '-1'">
                    <option value="{{organType.Value}}" ng-repeat="organType in Model.OrganizationTypes">{{organType.Title}}</option>
                </select>
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Account type</label>
            <div class="input-control select" data-role="input">
                <select ng-model="filter.AccountType" ng-options="obj.Value as obj.Text for obj in Model.AccountTypes"></select>
            </div>
        </div>

        <div class="place-left one-fourth padding-right20">
            <label for="filter.startDate">Expiration date from</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.startDate" ng-model="filter.startDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.endDate">To</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.endDate" ng-model="filter.endDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>
        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>
    <div class="clearfix"></div>
    <br />
    <kendo-grid id="mainGrid" options=" mainGridOptions"> </kendo-grid>
</div>